import java.awt.Color;

class ColorIterator
{
	static final Color[] colors = {	Color.cyan.darker(),
									Color.darkGray.darker(),
									Color.gray.darker(),
									Color.green.darker(),
									Color.lightGray.darker(),
									Color.magenta.darker(),
									Color.orange.darker(),
									Color.pink.darker(),
									Color.red.darker(),
									Color.white.darker(),
									Color.yellow.darker() };
	int whichColor;

	ColorIterator() { whichColor = 0; }

	public Color nextColor()
	{
		if(whichColor == colors.length) whichColor = 0;
		return colors[whichColor++];
	}
}
