/***************************************************************************
 *                                                                         *
 *       The information  contained herein is  PROPRIETARY  and            *
 *          CONFIDENTIAL to NewMonics Inc.  Patents pending.               *
 *                                                                         *
 *       Copyright (C) 1997 NewMonics Inc., All Rights reserved.           *
 *                                                                         *
 ***************************************************************************/

package demo.BlackJack;

public interface Output
{
  //
  // clear the display
  //
  void clearCardArea();
  
  //
  // draw the given card on the display at coordinate x, y
  // if the card is hidden, then show the back of the card
  //
  void drawCard(Card card, boolean hidden, int x, int y);

  //
  // output a string in the text area of the display
  //
  void print(String s);

  //
  // output an integer in the text area of the display
  //
  void print(int i);
}
