// A local variable of a thread's stackframe.
//
// !!TODO: this class should eventually be "java.lang.reflect.LocalVariable"
//
package jx;

public final class LocalVariable
   {
   public boolean isPrimitive() { return isPrimitive; }
   public String  getName()     { return name;        }
   public Object  getValue()    { return value;       }
   
   private boolean isPrimitive; // true  --> "value" is wrapper for numeric or boolean value (never null)
                                // false --> "value" is actual object (possibly null)
   private String  name;        // never null
   private Object  value;       // wrapper (never null) or actual object (possibly null)

   // not instantiable
   private LocalVariable() {}
   }
