// A thread's stackframe.
//
// !!TODO: this class should eventually be "java.lang.reflect.StackFrame"
//
package jx;
import java.lang.reflect.*;

public final class StackFrame
   {
   public Method            getMethod()            { return method; }
   public String            getSourceName()        { return sourceName; }
   public int               getSourceLineNumber()  { return sourceLineNumber; }
   public int               getIP()                { return ip; }
   public LocalVariable[]   getLocalVariables()    { return localVariables; }
   public native StackFrame getCallingStackFrame() throws IllegalThreadStateException;

   private Thread          thread;
   private int             fp;
   private int             ip;
   private Method          method;
   private String          sourceName;
   private int             sourceLineNumber;
   private LocalVariable[] localVariables;
   
   // not instantiable
   private StackFrame() {}
   }
