/***************************************************************************
 *                                                                         *
 *       The information  contained herein is  PROPRIETARY  and            *
 *          CONFIDENTIAL to NewMonics Inc.  Patents pending.               *
 *                                                                         *
 *       Copyright (C) 1997 NewMonics Inc., All Rights reserved.           *
 *                                                                         *
 ***************************************************************************/

package demo.BlackJack;

import java.lang.String;

public class Card
{
  //
  // the rank, for example '2' or 'A'
  //
  char rank;

  //
  // the suit, for example, 'S' for spades
  //
  char suit;

  //
  // the numeric value assigned to a card, for example 2 for 2, and 10 for 'K'
  //
  char value;

  public Card(char rank, char suit)
  {
    this.rank = rank;
    this.suit = suit;

    switch (rank)
    {
      case 'A': this.value = 1; break;
      case '2': this.value = 2; break;
      case '3': this.value = 3; break;
      case '4': this.value = 4; break;
      case '5': this.value = 5; break;
      case '6': this.value = 6; break;
      case '7': this.value = 7; break;
      case '8': this.value = 8; break;
      case '9': this.value = 9; break;
      case 'T':
      case 'K': 
      case 'Q': 
      case 'J': this.value = 10; break;
    }
  }

  public String rankName()
  {
    String name = "";

    switch(rank)
    {
      case 'A': name = "ace";   break;
      case '2': name = "two";   break;
      case '3': name = "three"; break;
      case '4': name = "four";  break;
      case '5': name = "five";  break;
      case '6': name = "six";   break;
      case '7': name = "seven"; break;
      case '8': name = "eight"; break;
      case '9': name = "nine";  break;
      case 'T': name = "ten";   break;
      case 'K': name = "king";  break;
      case 'Q': name = "queen"; break; 
      case 'J': name = "jack";  break;
    }

    return name;
  }

  public String suitName()
  {
    String name = "";

    switch(suit)
    {
      case 'H': name = "hearts";   break;
      case 'S': name = "spades";   break;
      case 'D': name = "diamonds"; break;
      case 'C': name = "clubs";    break;
    }

    return name;
  }
}
