
import java.util.EventObject;

public class ProfileEvent extends EventObject
{
	static final byte ATTEMPTING_TO_CONNECT = 1;
	static final byte CONNECT_FAILED = 2;
	static final byte CONNECT_SUCCEEDED = 3;
	static final byte DISCONNECT = 4;
	static final byte IO_ERROR = 5;
	static final byte GET_DATA = 6;
	static final byte GOT_DATA = 7;
	static final byte BEGIN_ANALYSIS = 8;
	static final byte ANALYSIS_DATA = 9;
	static final byte DONE_ANALYSIS = 10;

	protected byte type;
	protected String message;
	protected int value;

	ProfileEvent(Object obj, byte type) { super(obj); this.type = type; };
	ProfileEvent(Object obj, byte type, String message) { this(obj, type); this.message = message; }
	ProfileEvent(Object obj, byte type, int value) { this(obj, type); this.value = value; }

	public int getType() { return type; }
	public String getMessage() { return message; }
	public int getValue() { return value; }
}
